UpdateInfo (Workspace)
- URL:https://<portals-url>/portals/0123456789ABCDEF/collaborations/<collaborationId>/workspaces/<workspaceId>/updateInfo(POST only)
- Required Capability:Administrator (host)
- Version Introduced:10.5
Description
The updateInfo operation updates certain collaboration workspace properties.
Request parameters
Parameter | Details |
|---|---|
| name | The name of the new workspace. |
| description | The description of the new workspace. |
| maxItemSizeInMB | The maximum size (in MB) for a feature layer data item to upload and share as a copy. This parameter was added in 10.6. |
| maxReplicationPackageSizeInMB | The maximum size (in MB) for a replication package. If this limit is exceeded, no further items will be added to the replication package. This parameter was added in 10.6. |
| copyByRefIfCopyFail | Determines whether a failed attempt to copy should revert to sharing by reference. For example, in cases where the imposed size limit has been exceeded. Values: true | false This parameter was added in 10.6. |
| config | The configuration details of the new workspace. This parameter was removed in 10.6. |
Response properties
Property | Details |
|---|---|
| collaborationId | The ID of the collaboration for which the workspace was updated. |
| collaborationWorkspaceId | The ID of the workspace that was updated. |
| success | Indicates whether the operation was successful. Returns true if so. |